Bug 496185 - F11 Beta: anaconda kickstart does not respect 'ignoredisk' command.
F11 Beta: anaconda kickstart does not respect 'ignoredisk' command.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 00:27 EDT by Gerry Reno
Modified: 2009-06-25 15:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 15:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2009-04-17 00:27:50 EDT
Description of problem:
Ran a F11 Beta installation with kickstart.  I put an 'ignoredisk' command in the kickstart file but all the excluded drives still show up on the installation partitioning screen as choices.

command:
ignoredisk --drives=sda,sdc,sdf,sdg,sdh,sdb

Version-Release number of selected component (if applicable):
F11 Beta

How reproducible:
always.

Steps to Reproduce:
1. Create kickstart file with 'ignoredisk' command.
2. Boot installation with kickstart.
3.
  
Actual results:
Ignored/Excluded drives still show up on list of available drives to partition.

Expected results:
Ignored/Excluded drives are not used or visible anywhere during installation.

Additional info:
Comment 1 Chris Lumens 2009-04-17 11:40:31 EDT
This should be fixed in more recent builds of anaconda.  Shortly after the beta, I modified the kickstart processing code so ignoredisk is handled before any storage is initialized.  This should make it so the device tree contains none of the devices you specify with ignoredisk, and they should not be showing up anywhere in anaconda.
Comment 2 Bug Zapper 2009-06-09 09:58:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.